| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGenerateImageValueFunc Class Reference

This class will generate a value using a given function. More...

`#include <cstool/gentrtex.h>`

Inheritance diagram for csGenerateImageValueFunc:

[legend]
List of all members.

## Public Member Functions
| csGenerateImageValueFunc ()
virtual float | GetValue (float x, float y)
| Get the value for location.
void | SetFunction (iGenerateImageFunction *func)
| Set the function.
virtual | ~csGenerateImageValueFunc ()

## Detailed Description

This class will generate a value using a given function.

For heights or slopes.

Definition at line 197 of file gentrtex.h.

## Member Function Documentation

virtual float csGenerateImageValueFunc::GetValue | ( | float | x,
|  | float | y |
| ) |  |  | `[inline, virtual]`

Get the value for location.

Implements csGenerateImageValue.

Definition at line 211 of file gentrtex.h.

void csGenerateImageValueFunc::SetFunction | ( | iGenerateImageFunction * | func | ) | `[inline]`

Set the function.

Definition at line 216 of file gentrtex.h.

The documentation for this class was generated from the following file:

- cstool/gentrtex.h